<?php

function get_risultati($sql)
{
	include('../api/config.php');
	$risultato = select($db,$sql);
	for($i = 0; $i < count($risultato); $i++)
	{
		foreach($risultato[$i] as $chiave => $valore)
		{
			switch($chiave)
			{
				case 'Popolazione':
					$risultato[$i][$chiave] = intval($valore);
					break;
				case 'latitude':
				case 'longitude':
					$risultato[$i][$chiave] = floatval($valore);
					break;
			}	
		}
	}
	closeDB($db);
	return json_encode($risultato);
}

// $select -- array numerico
// $from -- stringa
// $where -- array associativo
// $optional -- stringa
function costruisci_query($select, $from, $where, $optional)
{
	$sql = "SELECT ";
	// costruzione della stringa
	// SELECT campo1, campo2, campo3 
	for($i = 0; $i < count($select); $i++)
	{
		// $sql = $sql.
		//SELECT campo1, campo2, 
		$sql .= $select[$i].", ";
	}
	$sql = substr($sql,0,count($sql)-1-2);
	// FROM tabella 
	$sql .= " FROM ".$from;
	
	if(!is_null($where))
	{
		$sql .= " WHERE ";
		// WHERE campo1 = 'valore' AND campo2 = 'valore2'
		foreach($where as $chiave => $valore)
		{
			// WHERE campo1 = 'valore' AND campo2 = 'valore2' AND
			$sql .= $chiave." = '".$valore."' AND";
		}
		$sql = substr($sql,0, count($sql)-1-4);
	}
	$sql .= " ".$optional;
	//echo $sql;
	return $sql;
}

?>